import {BasicColumn, FormSchema} from "@/components/Table";

/** 列表展示字段*/
export const columns: BasicColumn[] = [

  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '任务数',
    dataIndex: 'taskCount',
    width: 60,
  },
  {
    title: '组别',
    dataIndex: 'groupName',
    width: 220,
  },
  {
    title: '状态',
    dataIndex: 'flag',
    width: 80,
    slots: { customRender: 'flag' },
  },
  {
    title: '运行环境路径',
    dataIndex: 'runtimeEnvironmentPath',
    width: 200,
  },
];

/** 列表筛选项*/
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '',
    component: 'InputSearch',
    colProps: { span: 20},
    componentProps: {
      placeholder: '输入关键字搜索',
      onChange: (e: any) => {
        console.log(e);
      },
    },
  },
];
/** 左上*/
export const groupSchema: BasicColumn[] = [
  {
    title: '',
    width: 150,
    dataIndex: 'name',
    slots: { customRender: 'name' },
  },
  {
    title: '',
    width: 30,
    dataIndex: 'number',
  },
];
/** 左下*/
export const pathSchema: BasicColumn[] = [
  {
    title: '',
    width: 150,
    dataIndex: 'name',
  },
];
